# dkim_get_reputation()

[back to index]

SYNOPSIS

    #include <dkim.h>

    DKIM_STAT dkim_get_reputation(
    	DKIM *dkim,
    	DKIM_SIGINFO *sig,
    	char *qroot,
    	int *rep
    );

Query an experimental DKIM reputation service.

DESCRIPTION

Called When | `dkim_get_reputation()` can be called at any time after the signature information handles are initialized in the call to `dkim_eoh()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle.
sig | Signature-specific handle.
qroot | The root of the reputation query. This is a location in the DNS at which the published reputation data are rooted.
rep | A pointer to an integer that will be updated to contain the reputation reported about the message's signer.

RETURN VALUES

Value | Description
--- | ---
`DKIM_STAT_OK` | A reputation was retrieved.
`DKIM_STAT_NOKEY` | No reputation data was available for this signer.
`DKIM_STAT_CANTVRFY` | An error occurred retrieving the reputation data.
`DKIM_STAT_INTERNAL` | An internal error occurred.
`DKIM_STAT_NOTIMPLEMENT` | The required code supporting this feature was not enabled when the library was built.

NOTES

- For details about this service, visit http://www.dkim-reputation.org.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.